@import "../../../assets/utils";

.field {
  display: flex;
  align-items: center;
  cursor: pointer;

  user-select: none;

  &:not(.isDisabled, .isReadonly) {
    &:hover,
    &:focus {
      .box {
        box-shadow: 0 0 0 2px $color-secondary;
      }

      .boxChecked {
        background-color: $color-secondary;
      }

      .boxIndeterminate {
        &::after {
          background-color: $color-secondary;
        }
      }
    }
  }
}

.isDisabled {
  cursor: not-allowed;
  opacity: .6;
}

.isReadonly {
  cursor: default;
}

.box {
  position: relative;

  box-shadow: 0 0 0 2px $color-primary;
  height: 14px;
  width: 14px;
  border-radius: 2px;

  display: flex;
  align-items: center;
  justify-content: center;

  color: $color-bg;

  transition: box-shadow .15s ease, background-color .15s ease;

  &::after {
    content: '';
    position: absolute;
    display: block;
    top: 3px;
    left: 3px;
    right: 3px;
    bottom: 3px;
    opacity: 0;

    background-color: $color-primary;

    transition: opacity .15s ease, background-color .15s ease;
  }
}

.icon {
  transition: color .15s ease, opacity .15s ease;
  opacity: 0;
}

.boxChecked {
  background: $color-primary;

  .icon {
    opacity: 1;
  }
}

.boxIndeterminate {
  &::after {
    opacity: 1;
  }
}

.label {
  margin-left: 10px;
}